/*
CamineetDemo
    This demo is used to test new concepts for Tiamat framework classes. 
    The objectives are:
        -Extend Area class.
        -Test ideas about game scripting.
        -Test event handling ideas.
        -General UI experimentation.
ItemListEntry.java - used to list items in an Area
    
 Copyright  (C) 2005 Hugues Johnson
 Phantasy Star Copyright  (C) 1988 Sega
 
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
the GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

package com.huguesjohnson.tiamat.demos.Camineet;

import com.huguesjohnson.tiamat.Item;

/** ItemListEntry - used to list items in an Area
 * @author Hugues Johnson
 */
public class ItemListEntry{
    
/* begin public properties */
    //the x-coordinate for the item
    private int x;
    /** Returns the x-coordinate for the item.
     * @return The x-coordinate for the item.
     */
    public int getX(){ 
        return(this.x); 
    }
    /** Sets the x-coordinate for the item.
     * @param x The x-coordinate for the item.
     */
    public void setX(int x){
        this.x=x;
    }
    //the y-coordinate for the item
    private int y;
    /** Returns the y-coordinate for the item.
     * @return The y-coordinate for the item.
     */
    public int getY(){ 
        return(this.y); 
    }
    /** Sets the y-coordinate for the item.
     * @param y The y-coordinate for the item.
     */
    public void setY(int y){
        this.y=y;
    }
    //whether this item can be taken
    private boolean canTake;
    /** Returns true if the item can be taken.
     * @return True if the item can be taken.
     */
    public boolean getCanTake(){
        return(this.canTake);
    }
    /** Sets whether the item can be taken.
     * @param canTake The new value.
     */
    public void setCanTake(boolean canTake){
        this.canTake=canTake;
    }
    //the item
    private Item item;
    /** Returns the Item in this entry.
     * @return The Item in this entry.
     */
    public Item getItem(){
        return(this.item);
    }
    /** Sets the Item in this entry.
     * @param item The new item.
     */
    public void setItem(Item item){
        this.item=item;
    }
/* end public properties */
    
    /** Constructor. 
     * @param x The x-coordinate for the item.
     * @param y The y-coordinate for the item.
     * @param canTake Whether the item can be taken.
     * @param item The Item for this entry.
     */
    public ItemListEntry(int x,int y,boolean canTake,Item item){
        this.setX(x);
        this.setY(y);
        this.setCanTake(canTake);
        this.setItem(item);
    }    
}